%global _empty_manifest_terminate_build 0
%global common_desc Proboscis is a Python test framework that extends Python's built-in unittest module and Nose with features from TestNG.
Name:           python-proboscis
Version:        1.2.6.0
Release:        1
Summary:        Extends Nose with certain TestNG like features.
License:        Apache-2.0
URL:            https://github.com/rackerlabs/python-proboscis
Source0:        https://files.pythonhosted.org/packages/3c/c8/c187818ab8d0faecdc3c16c1e0b2e522f3b38570f0fb91dcae21662019d0/proboscis-1.2.6.0.tar.gz
BuildArch:      noarch
%description
%{common_desc}

%package -n python3-proboscis
Summary:        Extends Nose with certain TestNG like features.
Provides:       python-proboscis
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-proboscis
%{common_desc}

%package help
Summary:        Extends Nose with certain TestNG like features.
Provides:       python3-proboscis-doc
%description help
%{common_desc}

%prep
%autosetup -n proboscis-1.2.6.0
rm -rf proboscis/compatability/*_2_*
sed -i '20,26d;41,52d' proboscis/compatability/__init__.py

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
# %{__python3} setup.py test

%files -n python3-proboscis -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jul 20 2021 OpenStack_SIG <openstack@openeuler.org> - 1.2.6.0-1
- Package Spec generate
